/*Page créé par Eloïc Galley / 15 janvier 2025*/
body {
  background-color: #1a0129;
  color: rgb(255, 255, 255) family-font arial;
}
hr {
  width: 80%;
}
.center {
  text-align: center;
}
h1 {
  font-family: Georgia, "Times New Roman", Times, serif;
  color: #7e2199;
  text-align: center;
  padding-bottom: 50px;
}
.navigation {
  display: flex;
  justify-content: center;
  gap: 150px;
  margin: 10px 0;
  position: relative;
}
.menu-toggle {
  display: none; /* Masqué par défaut */
  font-size: 24px;
  background: none;
  border: none;
  color: #a020f0;
  cursor: pointer;
}

.menu-items {
  display: flex; /* Affiché horizontalement par défaut */
  gap: 20px;
}

.nav-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #000;
  color: #a020f0;
  border: 2px solid #a020f0;
  text-decoration: none;
  border-radius: 5px;
  font-size: 1rem;
  transition: all 0.3s ease-in-out;
  padding-left: 40px;
  padding-right: 40px;
}

.nav-button:hover {
  background-color: #a020f0;
  color: #fff;
  border-color: #fff;
}
@media screen and (max-width: 1000px) {
  .menu-toggle {
    display: block; /* Affiche le bouton burger */
    margin-left: auto;
    margin-right: auto;
  }

  .menu-items {
    display: none; /* Masque les boutons par défaut */
    flex-direction: column; /* Alignement vertical */
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: #000;
    padding: 10px 0;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 10;
  }

  .menu-items a {
    text-align: center;
    padding: 15px 0;
  }
}

#page-transition {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  z-index: 100;
  opacity: 1;
  transition: opacity 3s ease;
  pointer-events: none;
}

.page-content {
  position: relative;
  opacity: 1;
  animation: fade-in 3s ease;
}

@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
a {
  text-decoration: none;
}
#myVideo {
  position: fixed;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  z-index: -2;
  object-fit: cover;
}
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(26, 1, 41, 0.85);
  z-index: -1;
}
h2 {
  color: #a020f0;
  font-size: 35px;
}

p {
  color: gray;
}
img {
  border: 1px solid #a020f0;
}
